=== debian/changelog ===
rtl-433 (22.11-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.1.
  * d/control: wrap and sort Build-Depends.

 -- Gürkan Myczko <tar@debian.org>  Mon, 21 Nov 2022 08:24:53 +0100
