=== debian/control ===
Source: rtl-433
Section: hamradio
Priority: optional
Maintainer: Gürkan Myczko <tar@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 doxygen,
 librtlsdr-dev,
 libsoapysdr-dev,
 pkg-config,
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/rtl-433.git
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/rtl-433
Homepage: https://github.com/merbanan/rtl_433

Package: rtl-433
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Decode 433.9 Mhz data
 This is a program to decode traffic from devices that are broadcasting on
 433.9 MHz like temperature sensors.
