## rtl-433 23.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,7 +31,7 @@
     # shorten branch spec
     string(REGEX REPLACE ".*/" "" GIT_BRANCH "${GIT_REFSPEC}")
     # use lightweight (non-annotated) tags
-    git_describe(GIT_VERSION "--tags")
+    git_describe(GIT_VERSION "--tags" "--exclude=nightly")
     git_timestamp(GIT_TIMESTAMP)
     message(STATUS "Found Git version: ${GIT_REFSPEC} commit ${GIT_COMMIT} from ${GIT_TIMESTAMP_ISO}")
     message(STATUS "Using Git version tag: ${GIT_VERSION} on ${GIT_BRANCH} at ${GIT_TIMESTAMP}")
@@ -80,6 +80,7 @@
     #ADD_DEFINITIONS(-Wfloat-equal)
     #ADD_DEFINITIONS(-Wbad-function-cast)
     #ADD_DEFINITIONS(-Wdocumentation)
+    add_definitions(-Wno-deprecated-declarations)
 
     # for strdup, setenv, use either
     #ADD_DEFINITIONS(-D_POSIX_C_SOURCE=200809) # does not work with uClibc
@@ -97,6 +98,12 @@
 if("${CMAKE_C_COMPILER_ID}" MATCHES "Clang")
     # make sure we don't accidentally copy more than an int
     ADD_DEFINITIONS(-Wlarge-by-value-copy=8)
+endif()
+
+# Enable Static analysis on GCC13.2.0+
+if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU" AND CMAKE_C_COMPILER_VERSION VERSION_GREATER_EQUAL "13.2.0")
+    message(STATUS "Using GCC Static analysis")
+    add_definitions(-fanalyzer)
 endif()
 
 # Shut MSVC up about strdup and strtok
@@ -120,6 +127,17 @@
     add_definitions(-D_USE_MATH_DEFINES)
 endif()
 
+# On Unix pass the SYSCONFDIR through to conf file loader
+if(NOT WIN32)
+    include(GNUInstallDirs)
+    add_definitions(-DINSTALL_SYSCONFDIR=${CMAKE_INSTALL_FULL_SYSCONFDIR})
+endif()
+
+########################################################################
+# Use pkg-config
+########################################################################
+find_package(PkgConfig)
+
 ########################################################################
 # Option to force ANSI-colored build output (for Ninja)
 ########################################################################
@@ -176,6 +194,12 @@
 if(ENABLE_OPENSSL) # AUTO / ON
 
 find_package(OpenSSL)
+# Get actual libs from pkg-config to support edge cases (static on Sparc)
+# This will break Win32 builds, exclude that platform
+pkg_check_modules(PC_OPENSSL QUIET openssl)
+if(PC_OPENSSL_FOUND AND NOT WIN32)
+    set(OPENSSL_LIBRARIES ${PC_OPENSSL_LINK_LIBRARIES})
+endif()
 if(OPENSSL_FOUND)
     message(STATUS "OpenSSL TLS support will be compiled. Found version ${OPENSSL_VERSION}")
     include_directories(${OPENSSL_INCLUDE_DIR})
@@ -199,7 +223,6 @@
 set_property(CACHE ENABLE_RTLSDR PROPERTY STRINGS AUTO ON OFF)
 if(ENABLE_RTLSDR) # AUTO / ON
 
-find_package(PkgConfig)
 find_package(LibRTLSDR)
 find_package(LibUSB)
 if(LibRTLSDR_FOUND)
@@ -272,7 +295,7 @@
 # Setup the include and linker paths
 ########################################################################
 if(MINGW OR MSVC)
-list(APPEND NET_LIBRARIES ws2_32 mswsock)
+list(APPEND NET_LIBRARIES ws2_32 mswsock netapi32)
 endif()
 
 include_directories(
@@ -292,28 +315,3 @@
     ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
 )
 
-########################################################################
-# Build documentation with Doxygen
-########################################################################
-option(BUILD_DOCUMENTATION "Create and install the HTML based API
-documentation (requires Doxygen)" OFF)
-
-find_package(Doxygen)
-if(BUILD_DOCUMENTATION)
-    if(NOT DOXYGEN_FOUND)
-        message(FATAL_ERROR "Doxygen is needed to build the documentation.")
-    endif()
-
-    set(DOXYGEN_IN ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in)
-    set(DOXYGEN_OUT ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)
-    if(DOXYGEN_DOT_FOUND)
-        set(HAVE_DOT "YES")
-    else()
-        set(HAVE_DOT "NO")
-    endif()
-
-    configure_file(${DOXYGEN_IN} ${DOXYGEN_OUT} @ONLY)
-    message(STATUS "Doxygen build started")
-
-    # note the option ALL which allows to build the docs together with the application
-    add_custom_target(doc_doxygen ALL
