=== include/CMakeLists.txt ===
########################################################################
# Install public header files
########################################################################
install(FILES
    rtl_433.h
    rtl_433_devices.h
    DESTINATION include
)
