=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,6 @@
     am_analyze.c
     baseband.c
     bitbuffer.c
-    compat_alarm.c
     compat_paths.c
     compat_time.c
     confparse.c
@@ -20,10 +19,12 @@
     http_server.c
     jsmn.c
     list.c
+    logger.c
     mongoose.c
     optparse.c
     output_file.c
     output_influx.c
+    output_log.c
     output_mqtt.c
     output_rtltcp.c
     output_trigger.c
@@ -47,7 +48,6 @@
     devices/acurite_01185m.c
     devices/akhan_100F14.c
     devices/alecto.c
-    devices/altronics_x7064.c
     devices/ambient_weather.c
     devices/ambientweather_tx8300.c
     devices/ambientweather_wh31e.c
@@ -60,6 +60,7 @@
     devices/auriol_ahfl.c
     devices/auriol_hg02832.c
     devices/badger_water.c
+    devices/baldr_rain.c
     devices/blueline.c
     devices/blyss.c
     devices/brennenstuhl_rcs_2044.c
@@ -67,11 +68,15 @@
     devices/bresser_5in1.c
     devices/bresser_6in1.c
     devices/bresser_7in1.c
+    devices/bresser_leakage.c
+    devices/bresser_lightning.c
     devices/bt_rain.c
     devices/burnhardbbq.c
     devices/calibeur.c
     devices/cardin.c
     devices/cavius.c
+    devices/ced7000.c
+    devices/celsia_czc1.c
     devices/chuango.c
     devices/cmr113.c
     devices/companion_wtr001.c
@@ -89,6 +94,7 @@
     devices/efth800.c
     devices/elro_db286a.c
     devices/elv.c
+    devices/emax.c
     devices/emontx.c
     devices/emos_e6016.c
     devices/emos_e6016_rain.c
@@ -106,15 +112,19 @@
     devices/fineoffset_wh45.c
     devices/fineoffset_wn34.c
     devices/fineoffset_ws80.c
+    devices/fineoffset_ws90.c
     devices/flex.c
+    devices/flowis.c
     devices/fordremote.c
     devices/fs20.c
     devices/ft004b.c
     devices/funkbus.c
+    devices/gasmate_ba1008.c
     devices/ge_coloreffects.c
     devices/generic_motion.c
     devices/generic_remote.c
     devices/generic_temperature_sensor.c
+    devices/geo_minim.c
     devices/govee.c
     devices/gt_tmbbq05.c
     devices/gt_wt_02.c
@@ -144,6 +154,7 @@
     devices/lacrosse_r1.c
     devices/lacrosse_th3.c
     devices/lacrosse_tx141x.c
+    devices/lacrosse_tx31u.c
     devices/lacrosse_tx34.c
     devices/lacrosse_tx35.c
     devices/lacrosse_wr1.c
@@ -159,14 +170,17 @@
     devices/mebus.c
     devices/megacode.c
     devices/missil_ml0757.c
+    devices/neptune_r900.c
     devices/new_template.c
     devices/newkaku.c
     devices/nexa.c
     devices/nexus.c
     devices/nice_flor_s.c
     devices/norgo.c
+    devices/oil_smart.c
     devices/oil_standard.c
     devices/oil_watchman.c
+    devices/oil_watchman_advanced.c
     devices/opus_xt300.c
     devices/oregon_scientific.c
     devices/oregon_scientific_sl109h.c
@@ -180,12 +194,14 @@
     devices/radiohead_ask.c
     devices/rainpoint.c
     devices/regency_fan.c
+    devices/revolt_nc5462.c
     devices/rftech.c
     devices/rojaflex.c
     devices/rubicson.c
     devices/rubicson_48659.c
     devices/rubicson_pool_48942.c
     devices/s3318p.c
+    devices/schou_72543_rain.c
     devices/schraeder.c
     devices/scmplus.c
     devices/secplus_v1.c
@@ -199,8 +215,10 @@
     devices/somfy_iohc.c
     devices/somfy_rts.c
     devices/springfield.c
+    devices/srsmith_pool_srs_2c_tx.c
     devices/steelmate.c
     devices/telldus_ft0385r.c
+    devices/tfa_14_1504_v2.c
     devices/tfa_30_3196.c
     devices/tfa_30_3221.c
     devices/tfa_drop_30.3233.c
@@ -210,25 +228,32 @@
     devices/thermopro_tp11.c
     devices/thermopro_tp12.c
     devices/thermopro_tx2.c
+    devices/thermopro_tx2c.c
     devices/tpms_abarth124.c
     devices/tpms_ave.c
     devices/tpms_citroen.c
+    devices/tpms_eezrv.c
     devices/tpms_elantra2012.c
     devices/tpms_ford.c
     devices/tpms_hyundai_vdo.c
     devices/tpms_jansite.c
     devices/tpms_jansite_solar.c
+    devices/tpms_kia.c
+    devices/tpms_nissan.c
     devices/tpms_pmv107j.c
     devices/tpms_porsche.c
     devices/tpms_renault.c
     devices/tpms_renault_0435r.c
     devices/tpms_toyota.c
     devices/tpms_truck.c
+    devices/tpms_tyreguard400.c
     devices/ts_ft002.c
     devices/ttx201.c
     devices/vaillant_vrt340f.c
+    devices/vauno_en8822c.c
     devices/visonic_powercode.c
     devices/waveman.c
+    devices/wec2103.c
     devices/wg_pb12v1.c
     devices/ws2032.c
     devices/wssensor.c
