=== debian/changelog ===
rtl-433 (23.11-1build1) noble; urgency=medium

  * Rebuild against latest rtl-sdr

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 13:23:57 -0500

rtl-433 (23.11-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.
  * Bump standards version to 4.6.2.

 -- Gürkan Myczko <tar@debian.org>  Fri, 01 Dec 2023 15:22:43 +0100

rtl-433 (22.11+git20230213+ds-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 13 Feb 2023 07:33:00 +0100
