=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  librtlsdr-dev,
  libsoapysdr-dev,
  pkg-config,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/rtl-433.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/rtl-433
 Homepage: https://github.com/merbanan/rtl_433
