## rtl-433 24.10

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
     abuf.c
     am_analyze.c
     baseband.c
+    bit_util.c
     bitbuffer.c
     compat_paths.c
     compat_time.c
@@ -41,7 +42,6 @@
     samp_grab.c
     sdr.c
     term_ctl.c
-    util.c
     write_sigrok.c
     devices/abmt.c
     devices/acurite.c
@@ -52,7 +52,9 @@
     devices/ambientweather_tx8300.c
     devices/ambientweather_wh31e.c
     devices/ant_antplus.c
+    devices/arad_ms_meter.c
     devices/archos_tbh.c
+    devices/arexx_ml.c
     devices/atech_ws308.c
     devices/auriol_4ld5661.c
     devices/auriol_aft77b2.c
@@ -77,6 +79,7 @@
     devices/cavius.c
     devices/ced7000.c
     devices/celsia_czc1.c
+    devices/chamberlain_cwpirc.c
     devices/chuango.c
     devices/cmr113.c
     devices/companion_wtr001.c
@@ -110,6 +113,8 @@
     devices/fineoffset_wh1080.c
     devices/fineoffset_wh31l.c
     devices/fineoffset_wh45.c
+    devices/fineoffset_wh46.c
+    devices/fineoffset_wh55.c
     devices/fineoffset_wn34.c
     devices/fineoffset_ws80.c
     devices/fineoffset_ws90.c
@@ -121,6 +126,7 @@
     devices/funkbus.c
     devices/gasmate_ba1008.c
     devices/ge_coloreffects.c
+    devices/geevon.c
     devices/generic_motion.c
     devices/generic_remote.c
     devices/generic_temperature_sensor.c
@@ -170,6 +176,7 @@
     devices/mebus.c
     devices/megacode.c
     devices/missil_ml0757.c
+    devices/mueller_hotrod.c
     devices/neptune_r900.c
     devices/new_template.c
     devices/newkaku.c
@@ -196,7 +203,9 @@
     devices/regency_fan.c
     devices/revolt_nc5462.c
     devices/rftech.c
+    devices/risco_agility.c
     devices/rojaflex.c
+    devices/rosstech_dcu706.c
     devices/rubicson.c
     devices/rubicson_48659.c
     devices/rubicson_pool_48942.c
@@ -227,10 +236,15 @@
     devices/tfa_twin_plus_30.3049.c
     devices/thermopro_tp11.c
     devices/thermopro_tp12.c
+    devices/thermopro_tp28b.c
+    devices/thermopro_tp829b.c
     devices/thermopro_tx2.c
     devices/thermopro_tx2c.c
+    devices/thermor.c
     devices/tpms_abarth124.c
     devices/tpms_ave.c
+    devices/tpms_bmw.c
+    devices/tpms_bmw_g3.c
     devices/tpms_citroen.c
     devices/tpms_eezrv.c
     devices/tpms_elantra2012.c
@@ -251,7 +265,9 @@
     devices/ttx201.c
     devices/vaillant_vrt340f.c
     devices/vauno_en8822c.c
+    devices/vevor_7in1.c
     devices/visonic_powercode.c
+    devices/watts_thermostat.c
     devices/waveman.c
     devices/wec2103.c
     devices/wg_pb12v1.c
