=== debian/changelog ===
rtl-433 (24.10-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 04 Nov 2024 09:47:52 +0000

rtl-433 (23.11-2) unstable; urgency=medium

  * Move to Hams Team.
  * Bump standards version to 4.7.0.
  * d/control: update build depends pkg-config to pkgconf.

 -- Alex Myczko <tar@debian.org>  Mon, 22 Jul 2024 10:03:05 +0000
