## rtl-433 25.02

=== CMakeLists.txt ===
--- 
+++ 
@@ -101,7 +101,7 @@
 endif()
 
 # Enable Static analysis on GCC13.2.0+
-if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU" AND CMAKE_C_COMPILER_VERSION VERSION_GREATER_EQUAL "13.2.0")
+if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU" AND NOT "13.2.0" VERSION_GREATER CMAKE_C_COMPILER_VERSION)
     message(STATUS "Using GCC Static analysis")
     add_definitions(-fanalyzer)
 endif()
@@ -199,6 +199,7 @@
 pkg_check_modules(PC_OPENSSL QUIET openssl)
 if(PC_OPENSSL_FOUND AND NOT WIN32)
     set(OPENSSL_LIBRARIES ${PC_OPENSSL_LINK_LIBRARIES})
+    message(STATUS "Using OpenSSL: ${OPENSSL_LIBRARIES}")
 endif()
 if(OPENSSL_FOUND)
     message(STATUS "OpenSSL TLS support will be compiled. Found version ${OPENSSL_VERSION}")
@@ -312,6 +313,3 @@
 @ONLY)
 
 add_custom_target(uninstall
-    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
-)
-
