=== src/CMakeLists.txt ===
--- 
+++ 
@@ -72,6 +72,7 @@
     devices/bresser_7in1.c
     devices/bresser_leakage.c
     devices/bresser_lightning.c
+    devices/bresser_st1005h.c
     devices/bt_rain.c
     devices/burnhardbbq.c
     devices/calibeur.c
@@ -86,6 +87,7 @@
     devices/cotech_36_7959.c
     devices/current_cost.c
     devices/danfoss.c
+    devices/deltadore_x3d.c
     devices/digitech_xc0324.c
     devices/directv.c
     devices/dish_remote_6_3.c
@@ -132,6 +134,7 @@
     devices/generic_temperature_sensor.c
     devices/geo_minim.c
     devices/govee.c
+    devices/gridstream.c
     devices/gt_tmbbq05.c
     devices/gt_wt_02.c
     devices/gt_wt_03.c
@@ -198,10 +201,12 @@
     devices/prologue.c
     devices/proove.c
     devices/quhwa.c
+    devices/quinetic.c
     devices/radiohead_ask.c
     devices/rainpoint.c
     devices/regency_fan.c
     devices/revolt_nc5462.c
+    devices/revolt_zx7717.c
     devices/rftech.c
     devices/risco_agility.c
     devices/rojaflex.c
@@ -237,7 +242,7 @@
     devices/thermopro_tp11.c
     devices/thermopro_tp12.c
     devices/thermopro_tp28b.c
-    devices/thermopro_tp829b.c
+    devices/thermopro_tp82xb.c
     devices/thermopro_tx2.c
     devices/thermopro_tx2c.c
     devices/thermor.c
@@ -249,6 +254,7 @@
     devices/tpms_eezrv.c
     devices/tpms_elantra2012.c
     devices/tpms_ford.c
+    devices/tpms_gm.c
     devices/tpms_hyundai_vdo.c
     devices/tpms_jansite.c
     devices/tpms_jansite_solar.c
