=== debian/changelog ===
rtl-433 (25.02-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Wed, 19 Feb 2025 16:52:07 +0000
