=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: rtl-433
 Section: hamradio
 Priority: optional
-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Uploaders: Alex Myczko <tar@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
  doxygen,
  librtlsdr-dev,
  libsoapysdr-dev,
- pkg-config,
-Standards-Version: 4.6.2
+ pkgconf,
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/rtl-433.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/rtl-433
 Homepage: https://github.com/merbanan/rtl_433
