=== src/CMakeLists.txt ===
--- 
+++ 
@@ -52,6 +52,7 @@
     devices/ambientweather_tx8300.c
     devices/ambientweather_wh31e.c
     devices/ant_antplus.c
+    devices/apator_metra_erm30.c
     devices/arad_ms_meter.c
     devices/archos_tbh.c
     devices/arexx_ml.c
@@ -61,10 +62,13 @@
     devices/auriol_afw2a1.c
     devices/auriol_ahfl.c
     devices/auriol_hg02832.c
+    devices/badger_orion_endpoint.c
     devices/badger_water.c
     devices/baldr_rain.c
+    devices/baldr_therm.c
     devices/blueline.c
     devices/blyss.c
+    devices/bm5.c
     devices/brennenstuhl_rcs_2044.c
     devices/bresser_3ch.c
     devices/bresser_5in1.c
@@ -92,6 +96,7 @@
     devices/directv.c
     devices/dish_remote_6_3.c
     devices/dsc.c
+    devices/ec3k.c
     devices/ecodhome.c
     devices/ecowitt.c
     devices/efergy_e2_classic.c
@@ -114,11 +119,13 @@
     devices/fineoffset_wh1050.c
     devices/fineoffset_wh1080.c
     devices/fineoffset_wh31l.c
+    devices/fineoffset_wh43.c
     devices/fineoffset_wh45.c
     devices/fineoffset_wh46.c
     devices/fineoffset_wh55.c
     devices/fineoffset_wn34.c
     devices/fineoffset_ws80.c
+    devices/fineoffset_ws85.c
     devices/fineoffset_ws90.c
     devices/flex.c
     devices/flowis.c
@@ -141,6 +148,7 @@
     devices/hcs200.c
     devices/hideki.c
     devices/holman_ws5029.c
+    devices/homelead_hg9901.c
     devices/hondaremote.c
     devices/honeywell.c
     devices/honeywell_cm921.c
@@ -176,6 +184,7 @@
     devices/maverick_et73.c
     devices/maverick_et73x.c
     devices/maverick_xr30.c
+    devices/maverick_xr50.c
     devices/mebus.c
     devices/megacode.c
     devices/missil_ml0757.c
@@ -195,6 +204,7 @@
     devices/oregon_scientific.c
     devices/oregon_scientific_sl109h.c
     devices/oregon_scientific_v1.c
+    devices/oria_wa150km.c
     devices/philips_aj3650.c
     devices/philips_aj7010.c
     devices/proflame2.c
@@ -204,6 +214,7 @@
     devices/quinetic.c
     devices/radiohead_ask.c
     devices/rainpoint.c
+    devices/rainpoint_hcs012arf.c
     devices/regency_fan.c
     devices/revolt_nc5462.c
     devices/revolt_zx7717.c
@@ -245,6 +256,7 @@
     devices/thermopro_tp82xb.c
     devices/thermopro_tx2.c
     devices/thermopro_tx2c.c
+    devices/thermopro_tx7b.c
     devices/thermor.c
     devices/tpms_abarth124.c
     devices/tpms_ave.c
@@ -269,6 +281,7 @@
     devices/tpms_tyreguard400.c
     devices/ts_ft002.c
     devices/ttx201.c
+    devices/universalfanctrl.c
     devices/vaillant_vrt340f.c
     devices/vauno_en8822c.c
     devices/vevor_7in1.c
