=== debian/changelog ===
rtl-433 (25.12-1) unstable; urgency=medium

  * New upstream version.
  * Ack NMU.
  * Drop d/patches, not needed anymore.
  * Bump standards version to 4.7.2.
  * d/copyright:
    - bump year.
    - update FSF address.
  * d/watch: update to version 5.

 -- Alex Myczko <tar@debian.org>  Fri, 12 Dec 2025 14:10:10 +0000

rtl-433 (25.02-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1113478)
  * Remove unnecessary cmake patch.

 -- Adrian Bunk <bunk@debian.org>  Mon, 20 Oct 2025 11:02:46 +0300
