=== debian/watch ===
Version: 5

# GitHub hosted projects
Template: Github
Owner: merbanan
Project: rtl_433
Update-Script: uupdate
